
<template>
  <div class="cetak-page">
    <ManagePembiayaan />
    <ManageBelianKomoditi/>
    <ManageKontrakMurabahah />
    
    <!-- Add any other sections you need -->
  </div>
</template>

<script>
import Pembiayaan from './pembiayaan.vue';
import BelianKomoditi from './beliankomoditi.vue';
import KontrakMurabahah from './kontrakmurabahah.vue';

export default {
  name: 'CetakPermohonan',
  components: {
    Pembiayaan,
    BelianKomoditi,
    KontrakMurabahah
  },

  mounted() {
    setTimeout(() => window.print(), 500); // auto print after render
  },

  methods: {
    cetak() {
      this.$router.push('/cetakpermohonan');
    }
  }
};
</script>
